package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

@Data
@TableName("GHJG_PORT_MANAGE.SHORE_POWER_DEVICE_USAGE")
public class ShorePowerDeviceUsage {

  @TableId("id")
  String id;
  @TableField("DISTRICT")
  String district;
  @TableField("OPERATE_MARINA_NUMBER")
  BigDecimal operateMarinaNumber;
  @TableField("SHORE_POWER_BOAT_USE_NUMBER")
  BigDecimal shorePowerBoatUseNumber;
  @TableField("POWER_CONN_HOURS")
  BigDecimal powerConnHours;
  @TableField("ELECTRICITY_CONSUMPTION")
  BigDecimal electricityConsumption;
  @TableField("REPORT_DATE")
  Date reportDate;
  @TableField("CREATE_USER")
  String createUser;
  @TableField("CREATE_TIME")
  Date createTime;
  @TableField("UPDATE_USER")
  String updateUser;
  @TableField("UPDATE_TIME")
  Date updateTime;
  @TableField("DELETE_FLAG")
  String deleteFlag;
  @TableField("OWNING_AREA")
  String owningArea;
  @TableField("SORT")
  String sort;
}
