package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

@Data
@TableName("GHJG_PORT_MANAGE.SHORE_POWER_CONN_RECORD_INFO")
public class ShorePowerConnRecordInfo {

  @TableId("CONNRECORDSEQ")
  String connRecordSeq;
  @TableField("PORTID")
  String portID;
  @TableField("PORTNAME")
  String portName;
  @TableField("ENTERPRISESNAME")
  String enterprisesName;
  @TableField("ENTERPRISESID")
  String enterprisesId;
  @TableField("OPERATORNAME")
  String operatorName;
  @TableField("OPERATORID")
  String operatorID;
  @TableField("CONNECTORID")
  String connectorID;
  @TableField("BERTHID")
  String berthID;
  @TableField("SHIPNAME")
  String shipName;
  @TableField("SHIPNUMBER")
  String shipNumber;
  @TableField("SHIPGROSSTONNAGE")
  String shipGrossTonnage;
  @TableField("SHIPHOMEPORT")
  String shipHomePort;
  @TableField("USERCHARGETYPE")
  String userChargeType;
  @TableField("MOBILENUMBER")
  String mobileNumber;
  @TableField("STARTTIME")
  Date startTime;
  @TableField("ENDTIME")
  Date endTime;
  @TableField("DURATION")
  String duration;
  @TableField("ELECT")
  String elect;
  @TableField("MONEY")
  String money;
  @TableField("ELECTMONEY")
  String electMoney;
  @TableField("SERVICEMONEY")
  String serviceMoney;
  @TableField("PAYMENTAMOUNT")
  String paymentAmount;
  @TableField("PAYTIME")
  Date payTime;
  @TableField("PAYCHANNEL")
  String payChannel;
  @TableField("MODIFYTIME")
  Date modifyTime;
  @TableField("CONNTYPE")
  String connType;
}
