package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.List;
import lombok.Data;

/**
 * 长航 - 港口信息
 */
@Data
@TableName("GHJG_PORT_MANAGE.SHORE_POWER_PORT_INFO")
public class ShorePowerPortInfo {

  @TableId("WHARF_ID")
  String wharf_id;
  @TableField("PROVINCE_NAME")
  String province_name;
  @TableField("ADDRESS_NAME")
  String address_name;
  @TableField("COUNTY_NAME")
  String county_name;
  @TableField("WHARF_NAME")
  String wharf_name;
  @TableField("WHARF_BASIN_FLAG")
  String wharf_basin_flag;
  @TableField("RIVERSIDE")
  String riverside;
  @TableField("WHARF_MGR_NAME")
  String wharf_mgr_name;
  @TableField("WHARF_MGR_SOCIAL_CODE")
  String wharf_mgr_social_code;
  @TableField("WHARF_CONTACT_NAME")
  String wharf_contact_name;
  @TableField("WHARF_CONTACT_TEL")
  String wharf_contact_tel;
  @TableField("WHARF_CONTACT_MOBILE")
  String wharf_contact_mobile;
  @TableField("PORT_MANAGEMENT")
  String port_management;
  @TableField("DEPTNAME")
  String deptname;
  @TableField("REMARK")
  String remark;
  @TableField("MINATO_HAVEN")
  String minato_haven;
  @TableField("MINATO_NAME")
  String minato_name;
  @TableField("MINATO_WORKZONE")
  String minato_workzone;
  @TableField("OPERATING_LICENSE")
  String operating_license;
  @TableField(exist = false)
  List<ShorePowerBerthInfo> berthInfoList;
}
